#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>

#include "termset.h"

const char port[] = "/dev/ttyACM0";
const int baudrate = 9600;

int main(void)
{
  int fd;
  struct termios new, old;

  /* Open file */
  fd = open(port, O_WRONLY | O_NOCTTY | O_SYNC);
  if(fd < -1)
  {
    printf("ERROR: no se pudo abrir el archivo\n");
    return -1;
  }

  if(termset(fd, baudrate, &old, &new) == -1)
  {
    printf("ERROR: configuración de tty\n");
    return -1;
  }

  for(;;)
  {
    printf("Parpadeando el LED...\n");
    write(fd, "t", 2);
    sleep(1);
  }

  return 0;
}
